From 2a0657f6a444f2a102493da71d833af5b4681d21 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jun 30 2016 10:17:23 +0000
Subject: [PATCH 505/1001] Fix typos in the app controller


---

diff --git a/hubs/app.py b/hubs/app.py
index 74c751a..9f731b3 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -474,7 +474,7 @@ def login():
         return_point = default
 
     hubs.models.User.get_or_create(
-        session, username=flask.g.auth.user, fullname=flask.g.auth.fullname)
+        session, username=flask.g.auth.nickname, fullname=flask.g.auth.fullname)
 
     return flask.redirect(return_point)
 
@@ -487,13 +487,13 @@ def logout():
         if is_safe_url(flask.request.args['next']):
             next_url = flask.request.values['next']
 
-    if next_url == flask.url_for('auth_login'):  # pragma: no cover
+    if next_url == flask.url_for('login'):  # pragma: no cover
         next_url = flask.url_for('index')
 
     if authenticated():
         FAS.logout()
         flask.session.auth = None
-        flask.flash(gettext('You have been logged out'))
+        flask.flash('You have been logged out')
 
     return flask.redirect(next_url)
 

